﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder
           

@using (Html.BeginForm("PartialLPOPConfirmation", "LPOPConsolidation", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table border="0" style="vertical-align:middle; padding-bottom:6px;">
        <tr>
            <td style="padding-bottom:6px;">
                Production Month
            </td>
            <td style="padding-left:6px; padding-bottom:6px;">
                <input type="text" id='TxtPMConfirmation' name="TxtPMConfirmation" class="mtz-monthpicker-widgetcontainer" style="width:250px; font-size:small;" />
            </td>
            <td style="padding-left:6px; padding-bottom:6px;"></td>
        </tr>

        <tr>
            <td style="padding-bottom:6px;">
                Timing
            </td>
            <td style="padding-left:6px; padding-bottom:6px;">
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "CmbTimingConfirmation";
                        settings.SelectedIndex = -1;
                        settings.Width = Unit.Pixel(255);
                        settings.Properties.Items.Add("");
                        settings.Properties.Items.Add("Tentative");
                        settings.Properties.Items.Add("Firm");
                    }
                ).GetHtml()  
            </td>
            <td style="padding-left:6px; padding-bottom:6px;"></td>
        </tr>

        <tr>
            <td>
                Upload Revised LPOP
            </td>
            <td style="padding-left:6px">
                @Html.DevExpress().UploadControl(
                            setting =>
                            {
                                setting.AddButton.Text = "Browse";
                                setting.Name = "UplLPOPConfirmation";
                                //setting.AddButton.Text = "Browse";
                                setting.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "UplLPOPConfirmation_CallbackRouteValues" };
                                setting.ClientSideEvents.FileUploadComplete = "OnUplLPOPConfirmationFileUploadComplete";
                                
                                setting.Width = Unit.Pixel(255);
                                //setting.ShowProgressPanel = true;
                                //setting.UploadMode = UploadControlUploadMode.Advanced;

                                setting.ValidationSettings.MaxFileSize = 10000000;
                                setting.ValidationSettings.MaxFileSizeErrorText = "Size File Uploaded Too Large";
                                setting.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                                setting.ValidationSettings.ShowErrors = true;

                                setting.CancelButton.Text = "";
                                setting.CancelButtonSpacing = Unit.Pixel(0);

                                // Note By : fid.salman 01.04.2013
                                // Desc    : use client side events fileuploadcomplete not filesuploadcomplete, cause it doesn't work
                                //           when it check for e.isValid property. value always returned null.
                    }).GetHtml()
            </td>
            <td style="vertical-align:top; padding-left:6px;">
                @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "BtnUpload";
                        setting.Text = "Upload";
                        setting.Width = 80;
                        setting.EnableClientSideAPI = true;
                        setting.ClientSideEvents.Click = "OnBtnUploadClick";
                        setting.CausesValidation = false;
                        
                        //setting.RouteValues = new { Controller = "LPOPConsolidation", Action = "UploadAction" };
                    }).GetHtml()
            </td>
        </tr>
        @*<tr>
            <td></td>
            <td>
                Download template
                @Html.DevExpress().HyperLink(
                    setting =>
                    {
                        setting.Name = "LnkDownloadTemplate";
                        setting.Properties.Text = "here";
                        setting.ControlStyle.Font.Underline = true;
                        setting.ControlStyle.ForeColor = System.Drawing.Color.Blue;
                        setting.Properties.Style.Font.Underline = true;
                        setting.ControlStyle.Cursor = "pointer";
                        setting.Properties.ClientSideEvents.Click = "OnClickDownloadHere";
                    }).GetHtml()
            </td>
            <td></td>
        </tr>*@
    </table>
}
    
<table border="0" style="padding-bottom:6px;">
    <tr>
        <td style="padding-right:6px;">
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnDelete";
                settings.EnableClientSideAPI = true;
                settings.Text = "Delete";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickDeleteConfirmation";
            }).GetHtml()
        </td>
        <td style="padding-right:20px;"></td>
        <td style="padding-right:6px;">
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnSearch";
                settings.EnableClientSideAPI = true;
                settings.Text = "Search";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickSearchConfirmation";
            }).GetHtml()
        </td>
        <td style="padding-right:6px;">
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnClear";
                settings.EnableClientSideAPI = true;
                settings.Text = "Clear";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickClearConfirmation";
            }).GetHtml()
        </td>
        <td style="padding-right:84px;"></td>
        <td style="padding-right:6px;">
@*         @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnDownload";
                settings.EnableClientSideAPI = true;
                settings.Text = "Download";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickDownloadLPOPConfirmation";
            }).GetHtml()*@
        </td>
        <td style="width:100%;"></td>
        <td style="padding-right:6px;">
            @Html.DevExpress().Button(
            setting => {
                setting.Name = "BtnApproved";
                setting.Text = "Approved By PCD";
                setting.Width = 140;
                setting.ClientSideEvents.Click = "OnClickApproveConfirmation";
                var authorized = Model.GetModel<User>().IsAuthorized("LPOPConsolidation", "BtnApproved");
                switch (authorized)
                {
                    case 0:
                        setting.ClientVisible = false;
                        break;
                    case 1:
                        setting.ClientVisible = true;
                        setting.ClientEnabled = true;
                        break;
                    case 2:
                        setting.ClientVisible = true;
                        break;
                }                         
            }).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "CLCreate_PO";
                settings.Text = "Create PO";
                settings.Width = 110;
                settings.ClientSideEvents.Click = "OnClickCreatePO";
                var authorized = Model.GetModel<User>().IsAuthorized("LPOPConsolidation", "CLCreate_PO");
                switch (authorized)
                {
                    case 0:
                        settings.ClientVisible = false;
                        break;
                    case 1:
                        settings.ClientVisible = true;
                        settings.ClientEnabled = true;
                        break;
                    case 2:
                        settings.ClientVisible = true;                        
                        break;
                }
            }).GetHtml()
        </td>
    </tr>
</table>

<div style="margin-right:4px; margin-left:4px;">
    @Html.Partial("PartialGridTabLPOPConfirmation", Model)
</div>
